This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859918 - (CVE-2012-4445) CVE-2012-4445 hostapd, wpa_supplicant: DoS (abort) by processing certain fragmented EAP-TLS messages
CVE-2012-4445 hostapd, wpa_supplicant: DoS (abort) by processing certain frag...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121008,repor...
: Security
Depends On: 864051 864596
Blocks: 859922 864602
  Show dependency treegraph
 
Reported: 2012-09-24 07:53 EDT by Jan Lieskovsky
Modified: 2012-10-31 06:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 06:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed eap_server_tls_process_fragment() patch by Jouni Malinen from the hostapd project (872 bytes, patch)
2012-09-24 07:58 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-09-24 07:53:14 EDT
A denial of service flaw was found in the way hostapd, a user space daemon for access point and authentication servers, processed certain fragmented EAP-TLS messages. A remote attacker could send a specially-crafted EAP-TLS message to hostapd that, when processed would lead to hostapd daemon abort.

Acknowledgements:

Red Hat would like to thank Timo Warns of PRESENSE Technologies GmbH for reporting this issue.
Comment 2 Jan Lieskovsky 2012-09-24 07:55:33 EDT
This issue affects the versions of the hostapd package, as shipped with Fedora release of 16 and 17.
Comment 3 Jan Lieskovsky 2012-09-24 07:56:17 EDT
Preliminary embargo date for this issue has been set up to Monday, 8-th October 2012.
Comment 4 Jan Lieskovsky 2012-09-24 07:58:16 EDT
Created attachment 616508 [details]
Proposed eap_server_tls_process_fragment() patch by Jouni Malinen from the hostapd project
Comment 6 Jan Lieskovsky 2012-09-24 12:06:53 EDT
The CVE identifier of CVE-2012-4445 has been assigned to this issue.
Comment 8 Jan Lieskovsky 2012-10-08 09:01:16 EDT
Public now via:
http://www.openwall.com/lists/oss-security/2012/10/08/3
Comment 9 Jan Lieskovsky 2012-10-08 09:02:46 EDT
Created hostapd tracking bugs for this issue

Affects: fedora-all [bug 864051]
Comment 12 Fedora Update System 2012-10-12 22:59:27 EDT
hostapd-1.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-10-17 20:28:45 EDT
hostapd-0.7.3-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Huzaifa S. Sidhpurwala 2012-10-31 06:18:13 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wpa_supplicant as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 18 Huzaifa S. Sidhpurwala 2012-10-31 06:21:23 EDT
This issue does not affect the versions of the wpa_supplicant package, as shipped with Fedora release of 16 and 17.

Note You need to log in before you can comment on or make changes to this bug.